# Creating Asset Types

Not everyone needs Event Types and Events.

You could go straight to creating Assets and managing these as first class entities in Sky Ledge. Sky Ledge offers an out of the box Asset Management solution that’s fully API driven.

Asset Management is easy to understand, there are two concepts:

1. Asset Types (Classes of Asset, e.g. Cars, Phones)&#x20;
2. Assets (Specific Assets, e.g. Ferrari Spider or iPhone X)

### Creating an Asset Type

Creating Asset Types is easy:

#### **Creating Asset Type - Hero**

```
POST api.skyledge.com/asset-types

{  
   "identifier":"hero",
   "name":"Hero",
   "description":"A HP Inc consumer"
}

```

{% tabs %}
{% tab title="cURL" %}

```
curl --location --request POST 'https://api.skyledge.com/asset-types' \
--header 'X-Authorization: API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{  
   "identifier":"hero",
   "name":"Hero",
   "description":"A HP Inc consumer"
}'
```

{% endtab %}

{% tab title="NodeJs" %}

```
import { Configuration, AssetTypeRequest, AssetTypesApi } from '@skyledge/sdk';

const configuration = new Configuration({
  apiKey: 'XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXX',
  basePath: 'https://api.skyledge.com',
});

const data: Partial<AssetTypeRequest> = {  
   "identifier":"hero",
   "name":"Hero",
   "description":"A HP Inc consumer"
};

const assetTypeApi = new AssetTypesApi(configuration);

const newAssetType = await assetTypeApi.createAssetType(data);

console.log(newAssetType.status);

```

{% endtab %}

{% tab title="Python" %}

```
import requests
import json

url = "https://api.skyledge.com/asset-types"

payload = json.dumps({
  "identifier": "hero",
  "name": "Hero",
  "description": "A HP Inc consumer"
})
headers = {
  'X-Authorization': 'API_KEY',
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skyledge.com/getting-started/developer-guide/creating-asset-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
